Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven
[Java] Class PomModuleDescriptorParser

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.PomModuleDescriptorParser

All Implemented Interfaces:
  org.apache.ivy.plugins.parser.ModuleDescriptorParser

    public final class PomModuleDescriptorParser
    extends java.lang.Object

A parser for Maven 2 POM.

The configurations used in the generated module descriptor mimics the behavior defined by maven 2 scopes, as documented here:
http://maven.apache.org/guides/introduction/introduction-to-dependency-mechanism.html The PomModuleDescriptorParser use a PomDomReader to read the pom, and the PomModuleDescriptorBuilder to write the ivy module descriptor using the info read by the PomDomReader.

Method Summary
`boolean` | `accept(Resource res)`
`protected org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder` | `createPomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ParserSettings ivySettings, Resource res)`
`static PomModuleDescriptorParser` | `getInstance()`
`org.apache.ivy.core.module.descriptor.Artifact` | `getMetadataArtifact(org.apache.ivy.core.module.id.ModuleRevisionId mrid, Resource res)`
`java.lang.String` | `getType()`
`org.apache.ivy.core.module.descriptor.ModuleDescriptor` | `parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)`
`org.apache.ivy.core.module.descriptor.ModuleDescriptor` | `parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, Resource res, boolean validate)`
`void` | `toIvyFile(java.io.InputStream is, Resource res, java.io.File destFile, org.apache.ivy.core.module.descriptor.ModuleDescriptor md)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### accept

    public boolean accept(Resource res)

### createPomModuleDescriptorBuilder

    protected org.apache.ivy.plugins.parser.m2.PomModuleDescriptorBuilder createPomModuleDescriptorBuilder(org.apache.ivy.plugins.parser.ParserSettings ivySettings, Resource res)

### getInstance

    public static PomModuleDescriptorParser getInstance()

### getMetadataArtifact

    public org.apache.ivy.core.module.descriptor.Artifact getMetadataArtifact(org.apache.ivy.core.module.id.ModuleRevisionId mrid, Resource res)

### getType

    public java.lang.String getType()

### parseDescriptor

    public org.apache.ivy.core.module.descriptor.ModuleDescriptor parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, boolean validate)

### parseDescriptor

    @SuppressWarnings("rawtypes")
    public org.apache.ivy.core.module.descriptor.ModuleDescriptor parseDescriptor(org.apache.ivy.plugins.parser.ParserSettings ivySettings, java.net.URL descriptorURL, Resource res, boolean validate)

### toIvyFile

    public void toIvyFile(java.io.InputStream is, Resource res, java.io.File destFile, org.apache.ivy.core.module.descriptor.ModuleDescriptor md)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation